# Модуль отвечающий за голосовое воспроизведение текста
# Требует установленный linux-пакет festival

import subprocess

def speak(text:str):
    """Функция выполняет вызов приложения festival"""
    if (len(text) > 0):
        #print(text)
        #process = subprocess.Popen(f'echo "{text}" | festival --tts --language russian', shell=True)
        process = subprocess.Popen(f'echo "{text}" | RHVoice-test -p anna -o - 2>/dev/null | aplay - 2>/dev/null', shell=True)
        process.wait()
        #time.sleep(5)
        